petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMMoabSetFieldName

Sets the name of a field (component) managed by the DM

### Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabSetFieldName(DM dm, PetscInt field, const char *fieldName)

Not Collective

### Input Parameters

| dm | - the discretization manager object
| field | - the field number
| fieldName | - the field (component) name

### Notes

Can only be called after DMMoabSetFields supplied with correct numFields

### Keywords

discretization manager, set, component name

### See Also

DMMoabGetFieldName(), DMMoabSetFields()

### Level

intermediate

### Location

src/dm/impls/moab/dmmbfield.cxx
Index of all DMMOAB routines
Table of Contents for all manual pages
Index of all manual pages